import { CloudFunction, Event } from '../cloud-functions';
export declare function database(database?: string): DatabaseBuilder;
export declare function namespace(namespace: string): NamespaceBuilder;
export declare function document(path: string): DocumentBuilder;
export declare class DatabaseBuilder {
    private resource;
    namespace(namespace: string): NamespaceBuilder;
    document(path: string): DocumentBuilder;
}
export declare class NamespaceBuilder {
    private resource;
    document(path: string): DocumentBuilder;
}
export declare class DocumentBuilder {
    private resource;
    onWrite(handler: (event: Event<any>) => PromiseLike<any> | any): CloudFunction<any>;
}
export declare class DeltaDocumentSnapshot {
    private _raw;
    private _old;
    private _data;
    private _previous;
    constructor(_raw: object, _old: object);
    data(): object;
    get(key: string): any;
    readonly previous: DeltaDocumentSnapshot;
    private _transformField(field);
}
